from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.uno import XInterface

@runtime_checkable
class XFormattedString(XInterface, Protocol):
    def getString(self) -> str: ...
    def setString(self, String: str) -> None: ...
